Create Agent
curl --request POST \
--url http://127.0.0.1:8080/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "support-agent",
"name": "Customer Support",
"system_prompt": "You are a helpful customer support agent.",
"greeting": "Hello! How can I assist you today?",
"llm": {},
"tts": {},
"stt": {},
"s2s": {},
"speech_engine": {
"provider": "elevenlabs",
"speech_engine_id": "seng_..."
}
}
'import requests
url = "http://127.0.0.1:8080/v1/agents"
payload = {
"id": "support-agent",
"name": "Customer Support",
"system_prompt": "You are a helpful customer support agent.",
"greeting": "Hello! How can I assist you today?",
"llm": {},
"tts": {},
"stt": {},
"s2s": {},
"speech_engine": {
"provider": "elevenlabs",
"speech_engine_id": "seng_..."
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'support-agent',
name: 'Customer Support',
system_prompt: 'You are a helpful customer support agent.',
greeting: 'Hello! How can I assist you today?',
llm: {},
tts: {},
stt: {},
s2s: {},
speech_engine: {provider: 'elevenlabs', speech_engine_id: 'seng_...'}
})
};
fetch('http://127.0.0.1:8080/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agents
Create Agent
POST
/
v1
/
agents
Create Agent
Authorizations
BearerAuthCookieAuth
Enter your Tenant API key (or use SANDBOX_API_KEY)
Body
application/json
Response
200
Agent created